Overview | Package | Class | Tree | Deprecated | Index | Help
| TIBCO Enterprise Message Service
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.tibco.tibjms.admin
Class VersionInfo

    java.lang.Object
      com.tibco.tibjms.admin.VersionInfo

    public class VersionInfo

extends java.lang.Object

This class represents the parsed version information for the TIBCO Enterprise Message Service components.

Method Summary
`int` | `getVersionBuild()` Get the build version of the component.
`int` | `getVersionMajor()` Get the major version of the component.
`int` | `getVersionMinor()` Get the minor version of the component.
`int` | `getVersionUpdate()` Get the update version of the component.
`java.lang.String` | `toString()` Generate a string version of the VersionInfo object in the form "majorVersion.minorVersion.updateVersion.buildVersion"

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Method Detail

### getVersionMajor

    public int getVersionMajor()

  Get the major version of the component.

  Returns:
    the major version of the component.

### getVersionMinor

    public int getVersionMinor()

  Get the minor version of the component.

  Returns:
    the minor version of the component.

### getVersionUpdate

    public int getVersionUpdate()

  Get the update version of the component.

  Returns:
    the update version of the component.

### getVersionBuild

    public int getVersionBuild()

  Get the build version of the component.

  Returns:
    the build version of the component.

### toString

    public java.lang.String toString()

  Generate a string version of the VersionInfo object in the form "majorVersion.minorVersion.updateVersion.buildVersion"

  Overrides:
    `toString` in class `java.lang.Object`
  Returns:
    a string represtation of this VersionInfo.

Overview | Package | Class | Tree | Deprecated | Index | Help
| TIBCO Enterprise Message Service
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © TIBCO Software Inc. All rights reserved